:root{
    --black:#000000;
    --white:#ffffff;
    --primary:#D3AE37;
    --secondary:#755A37;
    --subheading:#E0E0E0;
    --growth:#39A86B;
    --bg_color:#030303;
    --new:#140D04;
    --footer_bg:#1F1700;
    --text_color:#333333;

}

.pt_150{
    padding-top:150px;
}
.home_hero_section{
    position: relative;
    width: 100%;
    height:100svh;
        overflow: hidden;
        contain: layout style paint;
}

.bg-video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    transform: translate(-50%, -50%);
    object-fit: cover;
    z-index: -1;
}

.home_hero_text{
  font-size: 24px;
  line-height: 38px;
  letter-spacing: -0.5px;
  font-weight: 400;
}

.video-overlay {
    position: absolute;
    inset: 0;
    background-image: linear-gradient(180deg,  rgba(0,0,0,0.1) 0%,#000000 100%);
    z-index: 0;
}

.video-content {
    position: relative;
    z-index: 3;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    color: #fff;
    padding: 20px;
}




.market-slider {
    overflow: hidden;
    width: 100%;
    position: relative;
}

.market-track {
    display: flex;
    gap: 30px;
    width: max-content;
    animation: scrollX 30s linear infinite;
    will-change: transform;
    transform: translateZ(0);
}

.market_section {
        width: 100%;
        /* background: linear-gradient(160deg, #A78609 0%, #614106 15%, #422902 30%, #382D02 50%, #161206 75%, #1F0F04 100%) !important; */
        overflow: hidden;    /* Key to clipping */
        position: relative;
        height: 90px;  
        gap:30px;
        display: flex;     
        background: transparent;
    }

  
    .market-wrapper {
        border-bottom: 1px solid #333;
        background: #000;
        margin-top:-5%;
        z-index: 1;
    }

.market-card {
  background: linear-gradient(160deg, #A78609 0%, #614106 15%,#422902 30%, #382D02 50%, #161206 75%, #1F0F04 100%);
  border:1.2px solid #D3AE37;
  border-radius: 30px;
  cursor: pointer;
  position: relative;
  overflow: hidden;
  padding:22px 28px;
  color: #fff;
  min-width: 300px;
  flex-shrink: 0;
  contain: layout style paint;
}
tv-branding {
    display: none !important;
    opacity: 0 !important;
    pointer-events: none !important;
    height: 0 !important;
    width: 0 !important;
    visibility: hidden !important;
}

/* 2. Collapse the attribution boundary that holds the branding */
tv-attribution-boundary {
    display: none !important;
    height: 0 !important;
    padding: 0 !important;
}

tv-ticker-tape::part(item) {
    background: gold;
}

tv-ticker-tape {
    border:0;
      background: linear-gradient(160deg, #A78609 0%, #614106 15%,#422902 30%, #382D02 50%, #161206 75%, #1F0F04 100%);     
    z-index:4;
    border:1.2px solid #D3AE37;
    color: #fff;

}
tv-ticker-tape::part(tv-chart-bg):hover {
    background: transparent !important;
    border-color: transparent !important;
}

.market-card img {
    width: 28px;
    height: 28px;
    object-fit: contain;
}

.market-card h4 {
    font-size: 15px;
    margin: 0;
}

.price {
    font-size: 20px;
    font-weight: 600;
}

.price .up {
    color: #27c93f;
    font-size: 14px;
    margin-left: 6px;
}

.price .down {
    color: #ff4d4f;
    font-size: 14px;
    margin-left: 6px;
}

.time {
    font-size: 12px;
    opacity: 0.7;
    margin-top: 6px;
}


.benefits-main-grid {
    display: grid;
    grid-template-columns: 1fr minmax(300px, 500px) 1fr;
    max-width: 1400px;
    margin: 0 auto;
    position: relative;
    z-index: 10;
    min-height: 800px;
}

.benefits_trading_card{
  position:relative;
  overflow:hidden;
  background-color: rgba(16, 12, 4, 0.8);
  border-radius: 15px;
  padding:47px 23px;
  width: 400px;
  max-width: 100%;
  contain: layout style paint;
    }

    .benefits-col {
    display: flex;
    flex-direction: column;
    gap: 20px; /* Space between cards vertically */
}

.left-col { align-items: flex-start; text-align: right; }
.right-col { align-items: flex-end; text-align: left; }

.center-col {
    position: relative;
    display: flex;
    grid-column: 2;
    justify-content: center;
    align-items: center;
    height: 100%;
}


.benefits_trading_card::before{
  content: "";
    position: absolute;
    inset: 0;
    padding: 3px; 
    border-radius: inherit;

    background: linear-gradient(
        180deg,
        #D3AE37 0%,
        #E8E8E8 100%
    );

    -webkit-mask:
        linear-gradient(#fff 0 0) content-box,
        linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
            mask-composite: exclude;

}

.benefits_trading_card::after{
  content:"";
  position: absolute;
  top:0;
  left: 0;
  background-image: url(/namh/assets/images/benefits_card_img.png);
  background-size: cover;
  background-position: center;
  width:100%;
  height:100%;
  opacity:0.2;
}

.radial-wrap {
    position: relative;
    width: 100%;
    overflow: hidden;
   min-height: fit-content; 
    padding: 80px 0 200px 0;
    /* padding:80px 0; */
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
}


.ellipse {
  position: absolute;
bottom: -30%; 
  left: 50%;
  transform: translateX(-50%);
  z-index: 5;
  width: 100%;
  max-width: 700px; 
}

.ellipse img {
  width: 100%;
  display: block;
    z-index: 5;

  filter: drop-shadow(0 0 40px rgba(212,175,55,0.6));
}




.connector {
  position: absolute;
  bottom: 10%; 
  pointer-events: none;
}



.connector.connector1 {
  width: 400px;
  height: 614.0476px;
  left: calc(55% - 400px);
}


.connector.connector2 {
  width: 280px;
  height: 372.7226px;
  left: calc(58% - 400px);
}

  .connector.connector3 {
    width: 130px;
    height: 145.9973px;
    left: calc(52% - 280px);
  }
.connector.connector4 {
  width: 350px;
  height: 614.0476px;
  right: calc(56% - 400px);
}


.connector.connector5 {
  width: 190.8372px;
  height: 372.7226px;
  right: calc(75% - 400px);
}

.connector.connector6 {
  width: 115px;
  height: 145.9973px;
  right: calc(54% - 280px);
}



/* accounts  */

.account_card{
  padding:40px;
  width:600px;
  max-width: 100%;
}

.gradient_border {
    position: relative;
    background: linear-gradient(
        90deg,
        rgba(20, 13, 4, 1),
        rgba(212, 175, 55, 1),
        rgba(20, 13, 4, 1)
    );
    padding: 1px; 
}

.gradient_btn{
  background-color: #504011;
  padding:10px 30px;
  color: var(--white);
  font-size: 14px;
  line-height: 18px;
  letter-spacing: -0.5px;
  font-weight: 500;
  border-radius: 60px;
  width:fit-content;
  border:none;
}

.account_card:hover .gradient_btn{
  background-color: #D4AF37;
  color: var(--black);
  transition: all 0.3s ease;
}

.account_card:hover .gradient_btn img{
  transform: rotate(45deg);
  transition: all 0.3s ease;
}


/* .accounts-section{
  position: relative;
  z-index: 2;
}
.accounts-section::after {
  content:"";
    width: 100%;
    position: absolute;
    left: 0;
    bottom: -20%; 
    z-index: -1;
    
    background: linear-gradient(180deg, #000000 0%, #221A0F 47.56%, #48361F 81.02%),
                linear-gradient(180deg, rgba(0, 0, 0, 0) 53.88%, #000000 98.72%);
    background-blend-mode: overlay, normal;
    background-size: cover;
    background-repeat: no-repeat;
    height: 30vh;
} */

/* feature  */

.feature-section {
  position: relative;
  background: #000; 
}

.elipse_left {
  position: absolute;
  top: 0%;
  left: 0%;
    transform: translateY(-50%);
}

.elipse_right {
  position: absolute;
  top: 70%;
  right: 0%;
    transform: translateY(-50%);
}

.feature_title{
  font-size:24px;
  letter-spacing: -0.5px;
}


.tv-embed-widget-wrapper {
    background: #1B1E1F!important;
    height: 100%;
    max-width: 100%;
    min-width: 100%;
    width: 0;
}


.tabs-left {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.tab-btn{
    padding:20px;
}

.trade_padding{
  padding:20px;
}

.gradient_card {
  background-color: #140D04;
  border: none;
  color: #fff;
  text-align: left;
  border-radius: 15px;
  cursor: pointer;
  transition: background-image 0.4s ease, box-shadow 0.4s ease;
    position: relative;
      will-change: transform;
      contain: layout style paint;
}

.gradient_card:hover {
    background-image: linear-gradient(
        180deg,
        #1F1406 0%,
        #48361F 100%
    );


    box-shadow:
        0 8px 18px rgba(212, 175, 55, 0.30),

        0 6px 12px rgba(0, 0, 0, 0.30);
}



.gradient_card:hover::before {
    padding: 1px;

    background: linear-gradient(
        360deg,
        #D3AE37 0%,
        #E8E8E8 100%
    );

    -webkit-mask:
        linear-gradient(#fff 0 0) content-box,
        linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;

    box-shadow: none;
    opacity: 1;
}


.gradient_card::before{
  content: "";
  position: absolute;
  inset: 0;
  border-radius: inherit;
  box-shadow:
        inset 0 0 0 1px #452701;
  pointer-events: none;
}

.gradient_card.active {

    background-image: linear-gradient(
        180deg,
        #1F1406 0%,
        #48361F 100%
    );

    box-shadow:
        0 10px 20px rgba(212, 175, 55, 0.35),

        0 8px 14px rgba(0, 0, 0, 0.35);






}

.gradient_card.active::before{

    padding: 1px; 

    background: linear-gradient(
        360deg,
        #D3AE37 0%,
        #E8E8E8 100%
    ); 
      background-size: 100% 180%;
    background-position: center 35%;

    -webkit-mask:
        linear-gradient(#fff 0 0) content-box,
        linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    box-shadow: none; 
    pointer-events: none;
}

.tabs-right {
  position: relative;
  background: #140D04;
  border:1px solid var(--primary);
  border-radius: 30px;
  padding: 30px;
  height: 47rem;
  overflow: hidden;
  contain: layout style paint;
}

.tab-content {
  display: none;
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.45s ease, transform 0.45s ease;
}

.tab-content.active {
  display: block;
  opacity: 1;
  transform: translateY(0);
  animation: fadeInRight 0.8s ease forwards;
}

.tab-content h2 {
  margin-bottom: 10px;
}


.tab-content.active {
  height: 100%;
}

.tradingview-widget-container,
.tradingview-widget-container__widget,
.tradingview-widget-container iframe {
  height: 100%;
  width: 100%;
  background-color: #1B1E1F !important;
}



.n__market_wrap							{ height: 43rem; width: 100%; position: relative; overflow: hidden; }
.n__market_cnt							{ width: 100%; height: 100%;; overflow: hidden;  }
.tradingview-widget-container {
  border-radius: 30px;
  padding:0px;
  background-color: #140D04!important;
}

.tradingview-widget-container iframe {
width: calc(100% + 2px) !important; 
    height: calc(100% + 2px) !important;
    margin: -1px !important; 
    border: none !important;
  border-radius: 30px !important;
}



/* download app  */

.download_app {
    /* Combined Backgrounds */
    background: 
        /* 1. The Inner Content Background */
        linear-gradient(180deg, #1F1406 0%, #48361F 100%) padding-box, 
        /* 2. The Border Gradient */
        linear-gradient(360deg, #D3AE37 0%, #E8E8E8 100%) border-box;

    /* Border must be transparent for the gradient to show through */
    border: 1px solid transparent; 
    border-radius: 30px;
    
    /* Layout and Spacing */
    padding: 80px 70px;
    position: relative;
    overflow: hidden; 
    cursor: pointer;
    z-index: 1;
}

/* Remove the old pseudo-element if it was still in your file */
.download_app::before {
    display: none;
}

.start_your_journey_card {
    height: 100%;
    position: relative;
    color: var(--white);
    z-index: 1;

    border: 1px solid transparent; 
    border-radius: 30px;


    background: 
        linear-gradient(#0A0906, #0A0906) padding-box, 
        linear-gradient(360deg, #D3AE37 0%, #E8E8E8 100%) border-box;
}

.start_your_journey_card::before {
    display: none;
}   


.elipse_download_left {
  position: absolute;
  top: 0%;
  left: 0%;
    transform: translateY(-50%);
}

.elipse_download_right {
  position: absolute;
  top: 100%;
  right: 0%;
    transform: translateY(-50%);
}

.web_download{
  background-color: var(--white);
  padding:15px 40px;
  color: #D4AF37;
  border-radius: 50px;
}
.mobile_download{
  background-color: #D4AF37;
  padding:15px 40px;
  color: var(--white);
  border-radius: 50px;
}

.download_heading{
    font-size: 54px;
    line-height: 74px;
    letter-spacing: -0.5px;
    color: var(--white);
    font-weight: 500;
}

.download_text{
  font-size: 24px;
  line-height: 18px;
  letter-spacing: -0.5px;
  font-weight: 500;
}

.download_web_img{
  width: 34px;
  height: 34px;
}


.download_heading_1{
      font-size:35px;
    font-weight: 500;
    letter-spacing: -0.5px;
}

.download_heading_2{
      font-size:16px;
    font-weight: 400;
    letter-spacing: -0.5px;
}




/* Open acoount  */



.account_img{
    padding:12px;
    border-radius:10px;
    background: rgba(255, 255, 255 , 0.1);
    width: fit-content
    ;
} 


.open-account-wrapper {
    display: flex;
    gap: 1.5rem; 
    overflow-x: auto; 
    scroll-snap-type: x mandatory; 
    -webkit-overflow-scrolling: touch;
    padding-bottom: 15px; 
}

.open-account-wrapper::-webkit-scrollbar {
    display: none;
}
.open-account-wrapper {
    -ms-overflow-style: none;  
    scrollbar-width: none;  
}

.open_account_card {
    padding: 30px 40px;
    flex: 0 0 calc(25% - 1.2rem); 
    box-sizing: border-box;
    scroll-snap-align: start;
}

@media (max-width: 1199px) {
    .open_account_card {
        flex: 0 0 calc(75% - 0.75rem); 
    }
}

@media (max-width: 576px) {
    .open-account-wrapper {
        display: flex;
        flex-wrap: nowrap; 
        overflow-x: auto; 
        scroll-snap-type: x mandatory; 
        gap: 0; 
        padding: 0;
        width: 100%;
    }

    .open_account_card {
        flex: 0 0 calc(90% - 0.75rem); 
        
        padding: 30px 20px; 
        scroll-snap-align: center; 
        box-sizing: border-box;
    }
}

.account_img {
    padding: 12px;
    border-radius: 10px;
    background: rgba(255, 255, 255, 0.1);
    width: fit-content;
}


@media (max-width: 767px) {
 
  .download_heading_1{
    font-size: 22px;
    line-height: 30px;
    letter-spacing: -0.5px;
  }

  .download_heading_2{
    font-size: 14px;
    /* line-height: 20px; */
    letter-spacing: -0.5px;
  }


  .download_heading{
    font-size:22px;
    letter-spacing: -0.18px;
    line-height: 100%;
  }

  .download_text{
    font-size: 8.83px!important;
    line-height: 6.62px!important;
    letter-spacing: -0.18px;
  }

  .download_web_img{
    height: 12px;
    width: 12px;
  }

  .mobile_download{
    padding:5px 14px;
  }

  .web_download{ padding:5px 14px!important;}

  .download_app_img{
    display: none; 
  }



  .download_app{
    padding:27px 34px!important;
  }

  .f35{
        font-size:14px;
    }

    .account_card{
        padding: 20px!important;
        width:100%!important;
    }
}

@media (max-width: 991.98px) {

 .download_app {
    padding: 80px 40px;
  }

  .download_text{
    font-size: 18px;
  }

}


@keyframes scrollX {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}

@keyframes fadeInRight {
    from {
        opacity: 0;
        transform: translateX(20px);
    }
    to {
        opacity: 1;
        transform: translateX(0);
    }
}
.market-slider:hover .market-track {
    animation-play-state: paused;
}


@keyframes scrollTicker {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-50%);
    }
}



@media(max-width:768px){
    .home_hero_section{
        height:80vh;
    }
 .elipse_left{
      display: none;
    }
    .elipse_right{
      display: none ;
    }
    
}

@media(max-width:400px){
  
}


@media(max-width:992px){
 

    .home_hero_text{
      font-size:15px;
      line-height: 22px;
    }

    
    
}

@media(max-width:1199px){
  /* .trades_grid .tabs-left{
    flex-direction: row;
    overflow-x: scroll;
  }

  .trades_grid .tab-btn .f16{
    display: none;
  } */

 

  .n__market_wrap{
    height: 27rem!important;
  }
  .trades_grid .tabs-right{
    height:30rem;
          padding:20px;

  }

    /* .benefits_wrapper{
   
    display: flex;
    flex-direction: column;
    gap: 20px;
  } */

  .benefits_1, .benefits_4,.benefits_2, .benefits_5, .benefits_3, .benefits_6{
    /* position: static; */
    width: 100%;
  }
  .benefits_trading_card{
    width: 100%!important;
    padding: 23px;
  }

.benefits-main-grid {
        grid-template-columns: 1fr; 
        width: 100%;
        max-width: 100%;
        min-height: auto;
        margin:0; 
        padding: 0 20px;
        gap:20px;
    }
    
    .left-col, .right-col { align-items: center; text-align: center; }
    
    .center-col, .connector, .ellipse {
        display: none; /* Hide complex lines on mobile */
    }

  .radial-wrap{
    display: flex;
    flex-direction: column;
    gap: 20px;
    z-index:4;
    height: auto;
min-height: auto !important;
padding:0;  }

    .feature_title{
    font-size: 14px;
  }

}



/* Mobile Styles */
@media (max-width: 1199.98px) {
    .tab-content-mobile {
        display: none; /* Hidden by default */
        padding: 20px;
        background: #140D04;
        border: 1px solid var(--primary);
        border-radius: 20px;
        margin-top: 10px;
        height: 450px; /* Set a fixed height for mobile widgets */
    }

    .tab-btn.active + .tab-content-mobile {
        display: block; /* Show content directly under active button */
        animation: fadeInDown 0.4s ease forwards;
    }
}

/* Desktop Logic */
@media (min-width: 1200px) {
    .tabs-right .tab-content {
        display: none;
    }
    .tabs-right .tab-content.active {
        display: block;
    }
}

@keyframes fadeInDown {
    from { opacity: 0; transform: translateY(-10px); }
    to { opacity: 1; transform: translateY(0); }
}

/* Desktop Tab Logic */
@media (min-width: 1200px) {
    /* Hide all desktop content by default */
    .tabs-right .tab-content {
        display: none;
        opacity: 0;
        transition: opacity 0.3s ease;
    }

    /* Show the one with the active class */
    .tabs-right .tab-content.active {
        display: block;
        opacity: 1;
    }
}
/* Mobile Accordion Logic (Keep this) */
@media (max-width: 1199px) {
    .tab-content-mobile {
        display: none; /* Hide by default on mobile */
    }

    /* Show directly under the active button */
    .tab-btn.active + .tab-content-mobile {
        display: block;
        margin-top: 15px;
        margin-bottom: 15px;
    }
}